- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_text.h File Reference

axiom_soap_fault_text More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault_reason.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_text | axiom_soap_fault_text_t
## Functions
AXIS2_EXTERN axiom_soap_fault_text_t * | axiom_soap_fault_text_create_with_parent (const axutil_env_t *env, axiom_soap_fault_reason_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_text_free (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_text_set_lang (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env, const axis2_char_t *lang)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_text_get_lang (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_text_get_base_node (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_text_set_text (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env, axis2_char_t *value, axis2_char_t *lang)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_text_get_text (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault_text